<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FF88FE=00</action>
      <action>maincpu.pb@FF88FF=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@FF885D=09</action>
      <action>maincpu.pb@FF885F=59</action>
    </script>
  </cheat>

  <cheat desc="Finish Game Now!">
    <script state="on">
      <action>maincpu.pb@FF885D=00</action>
      <action>maincpu.pb@FF885F=00</action>
    </script>
  </cheat>

  <cheat desc="Goto the Final Game Now!"> <comment>Enable this cheat only when you are playing and you are selecting your team</comment>
    <script state="on">
      <action>maincpu.pb@FF8A41=06</action>
    </script>
  </cheat>

  <cheat desc="Select Game Round"> <comment>Enable this cheat only when you are playing and you are selecting your team.Enter round-1 (i.e. 00 for round 1,01 for 2 .... and 06 for final game)</comment>
    <parameter min="1" max="7" step="1"/>
    <script state="change">
      <action>maincpu.pb@FF8A41=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="The score display will not update until a goal is scored."/>

  <cheat desc="Score always = 10 PL1">
    <script state="run">
      <action>maincpu.pb@FF8A79=10</action>
    </script>
  </cheat>

  <cheat desc="Score always = 0 PL1">
    <script state="run">
      <action>maincpu.pb@FF8A79=00</action>
    </script>
  </cheat>

  <cheat desc="Score = 10 Now! PL1">
    <script state="on">
      <action>maincpu.pb@FF8A79=10</action>
    </script>
  </cheat>

  <cheat desc="Score = 0 Now! PL1">
    <script state="on">
      <action>maincpu.pb@FF8A79=00</action>
    </script>
  </cheat>

  <cheat desc="Select Score PL1">
    <parameter min="0" max="99" step="1"/>
    <script state="change">
      <action>maincpu.pb@FF8A79=tobcd(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Score always = 10 PL2">
    <script state="run">
      <action>maincpu.pb@FF8A7B=10</action>
    </script>
  </cheat>

  <cheat desc="Score always = 0 PL2">
    <script state="run">
      <action>maincpu.pb@FF8A7B=00</action>
    </script>
  </cheat>

  <cheat desc="Score = 10 Now! PL2">
    <script state="on">
      <action>maincpu.pb@FF8A7B=10</action>
    </script>
  </cheat>

  <cheat desc="Score = 0 Now! PL2">
    <script state="on">
      <action>maincpu.pb@FF8A7B=00</action>
    </script>
  </cheat>

  <cheat desc="Select Score PL2">
    <parameter min="0" max="99" step="1"/>
    <script state="change">
      <action>maincpu.pb@FF8A7B=tobcd(param)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
